package com.dhtmlx.connector;

import java.util.HashMap;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

public class JSONCommonDataItem extends DataItem {

	public JSONCommonDataItem(HashMap<String, String> data, DataConfig config,
			int index) {
		super(data, config, index);
	}

	public void to_json(JSONArray output) {
		JSONObject record = new JSONObject();
		for (int i=0; i<config.data.size(); i++)
			record.put(config.data.get(i).name, get_value(config.data.get(i).name));
		record.put("id", get_id());
		output.add(record);
	}
	
}
